| Version: 3.1.5

Classes | Enumerations | Variables
accel.h File Reference

## Classes
class | wxAcceleratorEntry
| An object used by an application wishing to create an accelerator table (see wxAcceleratorTable). More...
class | wxAcceleratorTable
| An accelerator table allows the application to specify a table of keyboard shortcuts for menu or button commands. More...

## Enumerations
enum | wxAcceleratorEntryFlags { wxACCEL_NORMAL , wxACCEL_ALT , wxACCEL_CTRL , wxACCEL_SHIFT , wxACCEL_RAW_CTRL , wxACCEL_CMD }
| wxAcceleratorEntry flags More...

## Variables
wxAcceleratorTable | wxNullAcceleratorTable
| An empty accelerator table. More...

## Enumeration Type Documentation

## ◆ wxAcceleratorEntryFlags

enum wxAcceleratorEntryFlags

wxAcceleratorEntry flags

Enumerator
wxACCEL_NORMAL | no modifiers
wxACCEL_ALT | hold Alt key down
wxACCEL_CTRL | hold Ctrl key down, corresponds to Command key on macOS
wxACCEL_SHIFT | hold Shift key down
wxACCEL_RAW_CTRL | corresponds to real Ctrl key on macOS, identic to `wxACCEL_CTRL` on other platforms
wxACCEL_CMD | deprecated, identic to `wxACCEL_CTRL` on all platforms.

## Variable Documentation

## ◆ wxNullAcceleratorTable

wxAcceleratorTable wxNullAcceleratorTable

An empty accelerator table.